## dynahost 0.0.20130901

=== Makefile ===
# -*-makefile-*-
# JLdL 01Sep13.
#
# This makefile closes the "dynahost" package, as an "all" arch
# _ package; the main part of its structure is meant to install
# _ everything within the debian/package subdirectory.

# Edited for Debian GNU/Linux.
DESTDIR = 

# The name of the package this makefile is meant for.
NAME = dynahost

# Where the configuration files go.
ETC = $(DESTDIR)/etc/$(NAME)

# Where the cron-job file goes.
CRON = $(DESTDIR)/etc/cron.d

# Where the init files go.
INIT = $(DESTDIR)/etc/init.d

# Where the public CGI scripts go.
CGI = $(DESTDIR)/usr/lib/cgi-bin

# Where the private CGI scripts go.
PCGI = $(DESTDIR)/usr/lib/cgi-bin-priv

# Where the system library files go.
SLIB = $(DESTDIR)/usr/lib/$(NAME)

# Where the man pages go.
MANS = $(DESTDIR)/usr/share/man

# Where the additional documentation goes.
DOCS = $(DESTDIR)/usr/share/doc/$(NAME)

# The configuration files.
CONFFILES = \
conf/defaultdomain \
conf/$(NAME)dns.conf \
conf/$(NAME)nis.conf \
conf/$(NAME)nisd.conf \
conf/mailrelaydns.conf \
conf/mailrelaynis.conf \
conf/forbidnetsnis.conf

# The cron-job files.
CRONFILES = \
cron/$(NAME)

# The init files.
INITFILES = \
init/$(NAME)nis \
init/http-ssl-tunnel

# The public CGI scripts.
CGIFILES = \
cgi/$(NAME)dns-gethostaddr_en.cgi \
cgi/$(NAME)dns-gethostaddr_pt.cgi \
cgi/$(NAME)nis-gethostaddr_en.cgi \
cgi/$(NAME)nis-gethostaddr_pt.cgi \
cgi/gethostaddr.cgi

# The private CGI scripts.
PCGIFILES = \
cgi/$(NAME)dns-ssl.cgi \
cgi/$(NAME)nis-ssl.cgi

# The system library files.
SLIBFILES = \
lib/check-and-clean-var-lock \
lib/disable-nishosts \
lib/disable-nismailrelays \
lib/disable-nismailrelays.qmail \
lib/$(NAME)dns \
lib/$(NAME)dns_en.html \
lib/$(NAME)dns_en.php \
lib/$(NAME)dns_pt.html \
lib/$(NAME)dns_pt.php \
lib/$(NAME)dns-ssl_en.html \
lib/$(NAME)dns-ssl_pt.html \
lib/$(NAME)nis \
lib/$(NAME)nisd \
lib/$(NAME)nis_en.html \
lib/$(NAME)nis_en.php \
lib/$(NAME)nis_pt.html \
lib/$(NAME)nis_pt.php \
lib/$(NAME)nis-ssl_en.html \
lib/$(NAME)nis-ssl_pt.html \
lib/update-dnsmailrelay \
lib/update-dnsmailrelay.qmail \
lib/update-dnszone \
lib/update-nishost \
lib/update-nismailrelay \
lib/update-nismailrelay.qmail

# The file man pages.
MAN5FILES = \
$(NAME)dns.conf.5.gz \
$(NAME)nis.conf.5.gz \
$(NAME)nisd.conf.5.gz \
mailrelaydns.conf.5.gz \
mailrelaynis.conf.5.gz

# The descriptive man page.
MAN7FILES = \
$(NAME).7.gz

# The root man pages.
MAN8FILES = \
disable-nishosts.8.gz \
disable-nismailrelays.8.gz \
dynahostnisd.8.gz \
update-dnsmailrelay.8.gz \
update-dnszone.8.gz \
update-nishost.8.gz \
update-nismailrelay.8.gz

# Extra documentation files and directories.
DOCSFILES = \
debian/README.Debian \
remote/ \
snips/

# The date is used as a version number.
#THEDATE = $(shell date +%y%m%d)
THEDATE = $(shell date +%Y%m%d)

# Define the host from which the package is to be distributed.
DHOST = fmasft

# Define the distribution site within the host.
DSITE = /sft/debian-cluster

# Define the distribution directory within the site.
DIR = $(DSITE)/dists/stable/main

# Define the location of the package just compiled.
LOC = /local/src

# Do not do anything by default, just print a help message.
default:
	@echo "Nothing to do: no actual compilation is needed."
	@echo "The most useful targets are:"
	@echo "  'package' to make the package;"
	@echo "  'distribute' to install on the distribution site;"
	@echo "  'veryclean' to really clean it all up."
	@echo "Other internal targets are:"
	@echo "  'clean' to clean this directory;"
	@echo "  'cleandebfiles' to remove the Debian files;"
	@echo "  'cleandebpacks' to remove the Debian package(s)."

# Install files on the package tree.
install: $(MAN5FILES) $(MAN7FILES) $(MAN8FILES)
	@echo Installing the configuration files in $(ETC)/
	@mkdir -p $(ETC)/
	@cp -pf $(CONFFILES) $(ETC)/
	@echo Installing the cron-job files in $(CRON)/
	@mkdir -p $(CRON)/
	@cp -pf $(CRONFILES) $(CRON)/
	@echo Installing the init files in $(INIT)/
	@mkdir -p $(INIT)/
	@cp -pf $(INITFILES) $(INIT)/
	@echo Installing CGI scripts in $(CGI)/
	@mkdir -p $(CGI)/
	@cp -pf $(CGIFILES) $(CGI)/
	@echo Installing CGI scripts in $(PCGI)/
	@mkdir -p $(PCGI)/
	@cp -pf $(PCGIFILES) $(PCGI)/
	@echo Installing library files in $(SLIB)/
	@mkdir -p $(SLIB)/
	@cp -af $(SLIBFILES) $(SLIB)/
	@echo Installing man pages in $(MANS)/man5/
	@mkdir -p $(MANS)/man5/
	@cp -pf $(MAN5FILES) $(MANS)/man5/
	@echo Installing man pages in $(MANS)/man7/
	@mkdir -p $(MANS)/man7/
	@cp -pf $(MAN7FILES) $(MANS)/man7/
	@echo Installing man pages in $(MANS)/man8/
	@mkdir -p $(MANS)/man8/
	@cp -pf $(MAN8FILES) $(MANS)/man8/
	@echo Installing additional documentation in $(DOCS)/
	@mkdir -p $(DOCS)/
	@cp -af $(DOCSFILES) $(DOCS)/

# Make the package.
package:
	dpkg-buildpackage -kE92A1F5C

# Install the package in the distribution site.
distribute:
# Fix the ownership of the files.
	chown root:root $(LOC)/$(NAME)_*.dsc
	chown root:root $(LOC)/$(NAME)_*.tar.gz
	chown root:root $(LOC)/$(NAME)_*.deb
# Copy remotely and backwards because of authorization issues.
	ssh $(DHOST) "cp -pf $(LOC)/$(NAME)_*.dsc $(DIR)/source/"
	ssh $(DHOST) "cp -pf $(LOC)/$(NAME)_*.tar.gz $(DIR)/source/"
	ssh $(DHOST) "cp -pf $(LOC)/$(NAME)_*_all.deb $(DIR)/binary-all/"
# Refresh the site remotely because of authorization issues.
	ssh $(DHOST) "cd $(DSITE) ; ./MakePackagesFiles"

# Clean up this directory.
clean:
	rm -f *~ *.gz

# Clean up the Debian package files.
cleandebfiles:
	rm -f build-stamp configure-stamp
	rm -f debian/files
	rm -rf debian/$(NAME)/

# Clean the package(s) and related files.
cleandebpacks:
	rm -f ../$(NAME)_*.dsc
	rm -f ../$(NAME)_*.tar.gz
	rm -f ../$(NAME)_*.changes
	rm -f ../$(NAME)_*_all.deb

# Really clean it all up.
veryclean: clean cleandebfiles cleandebpacks

# A pattern rule to make compressed versions of files.
%.gz: %
	@echo Compressing file $<
	@cat $< | sed -e 's|YYYYMMDD|$(THEDATE)|g' | gzip -c9 - > $@

=== debian/changelog ===
dynahost (0.0.20130901) stable; urgency=low

  * Refined the IP filtering of submitted addresses; added the private
    network ranges to the forbidden networks; added the possibility of
    manual configuration of additional networks.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Sun, 01 Sep 2013 20:16:59 -0300

dynahost (0.0.20110905) stable; urgency=low

  * Made changes in the scripts disable-nishosts, dynahostnis and
    dynahostdns in order allow for the situation in which the host has
    more than one network interface, connecting to different domains; the
    new configuration file /etc/dynahost/defaultdomain was introduced, to
    permit the choice of the domain to use.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Mon, 05 Sep 2011 17:19:43 -0300

dynahost (0.0.20110806) stable; urgency=low

  * Made a few further changes in the dynahostnis and dynahostdns scripts,
    in order to render them a little more robust.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Sat, 06 Aug 2011 18:33:08 -0300

dynahost (0.0.20110729) stable; urgency=low

  * Fixed a bug in the dynahostnis and dynahostdns scripts, which caused
    these scripts to crash, due to a syntax error within a if condition,
    when the command "hostname -i" returned more than one IP number.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Fri, 29 Jul 2011 02:25:42 -0300

dynahost (0.0.20110225) stable; urgency=low

  * Updated the HTML pages and the CGI scripts in order to include
    explicitly the character set encoding to be used.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Fri, 25 Feb 2011 15:09:36 -0300

dynahost (0.0.20100513) stable; urgency=low

  * Included cron job to keep /var/lock/ clean of dynahost lock files.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Thu, 13 May 2010 19:42:29 -0300

dynahost (0.0.20091009) stable; urgency=low

  * Fixed a bug in dynahostnisd, introduced by the latest changes in the
    dynahostnis part of the strucure.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Fri, 09 Oct 2009 07:27:27 -0300

dynahost (0.0.20091007) stable; urgency=low

  * Changed the dynahostnis part of the structure so as to allow each user
    to have more than one remote host registered.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Wed, 07 Oct 2009 13:21:30 -0300

dynahost (0.0.20090824) stable; urgency=low

  * Fixed a bug in the dynahostnis script that, for server systems that
    are connected to the internet via a PPP interface, ended up listing
    all IP addresses as forbidden.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Mon, 24 Aug 2009 15:15:11 -0300

dynahost (0.0.20090811) stable; urgency=low

  * Fixed the auxiliary access scripts for residential use that are based
    on lynx, due to a change in the command-line syntax of that program.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Tue, 11 Aug 2009 15:31:38 -0300

dynahost (0.0.20090527) stable; urgency=low

  * Fixed the dynahostnis and dynahostdns programs in order to filter out
    the trailing "+" left in the remote address string, due to the use of
    the mouse for cut-and-paste in the CGI-script form; this character
    comes from the trailing blank that is sometimes inserted by the mouse
    action, when the address is not cut to its exact length.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Wed, 27 May 2009 17:47:16 -0300

dynahost (0.0.20081218) stable; urgency=low

  * Fixed the dynahostdns and update-dnszone scripts in order to handle
    the migration from bind to bind9.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Thu, 18 Dec 2008 04:49:32 -0200

dynahost (0.0.20080420) stable; urgency=low

  * Initial Release.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Sun, 20 Apr 2008 14:33:55 -0300

Local variables:
mode: debian-changelog
End:

## dynahost 1.0.20160516

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # -*-makefile-*-
-# JLdL 01Sep13.
+# JLdL 16May16.
 #
 # This makefile closes the "dynahost" package, as an "all" arch
 # _ package; the main part of its structure is meant to install
@@ -19,6 +19,9 @@
 
 # Where the init files go.
 INIT = $(DESTDIR)/etc/init.d
+
+# Where the sudoers file goes.
+SDRS = $(DESTDIR)/etc/sudoers.d
 
 # Where the public CGI scripts go.
 CGI = $(DESTDIR)/usr/lib/cgi-bin
@@ -41,18 +44,22 @@
 conf/$(NAME)dns.conf \
 conf/$(NAME)nis.conf \
 conf/$(NAME)nisd.conf \
+conf/forbidnetsnis.conf \
 conf/mailrelaydns.conf \
-conf/mailrelaynis.conf \
-conf/forbidnetsnis.conf
+conf/mailrelaynis.conf
 
 # The cron-job files.
 CRONFILES = \
-cron/$(NAME)
+cron.d/$(NAME)
 
 # The init files.
 INITFILES = \
-init/$(NAME)nis \
-init/http-ssl-tunnel
+init.d/$(NAME)nis \
+init.d/http-ssl-tunnel
+
+# The sudoers file.
+SDRSFILES = \
+sudoers.d/$(NAME)
 
 # The public CGI scripts.
 CGIFILES = \
@@ -111,7 +118,7 @@
 MAN8FILES = \
 disable-nishosts.8.gz \
 disable-nismailrelays.8.gz \
-dynahostnisd.8.gz \
+$(NAME)nisd.8.gz \
 update-dnsmailrelay.8.gz \
 update-dnszone.8.gz \
 update-nishost.8.gz \
@@ -162,6 +169,9 @@
 	@echo Installing the init files in $(INIT)/
 	@mkdir -p $(INIT)/
 	@cp -pf $(INITFILES) $(INIT)/
+	@echo Installing the sudoers file in $(SDRS)/
+	@mkdir -p $(SDRS)/
+	@cp -pf $(SDRSFILES) $(SDRS)/
 	@echo Installing CGI scripts in $(CGI)/
 	@mkdir -p $(CGI)/
 	@cp -pf $(CGIFILES) $(CGI)/

=== debian/changelog ===
dynahost (1.0.20160516) UNRELEASED; urgency=medium

  * Modified the sudoers configuration for Debian 8 (jessie); thus added
    the /etc/sudoers.d/dynahost configuration file.

 -- Jorge L. deLyra <delyra@fmail.if.usp.br>  Mon, 16 May 2016 11:21:13 -0300

=== debian/control ===
Source: dynahost
Section: admin
Priority: optional
Maintainer: Jorge L. deLyra <delyra@fma.if.usp.br>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.2

Package: dynahost
Architecture: all
Depends: tcsh, nis, sudo, httpd-cgi, arith-utils
Suggests: stunnel
Description: This software provides a system which allows the secure
 and controlled access to an institutional system from remote systems
 with dynamical IP addresses, such as residential systems. It relies
 on various other system structures, such as tcpd access control to
 network daemons, NIS groups and CGI forms.
 .
 This package contains the web pages, cgi scripts and programs needed
 to implement this access-control system. In order to actually enable
 the operation of this sustem, various other system configurations,
 besides the configuration of this package itself, will be needed.

=== debian/rules ===
#!/usr/bin/make -f
# JLdL 15Apr08.
#
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/dynahost.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/dynahost


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
